module dwt.internal.mozilla.nsIDOMStorageItem;

import dwt.internal.mozilla.Common;
import dwt.internal.mozilla.nsID;
import dwt.internal.mozilla.nsISupports;

import dwt.internal.mozilla.nsStringAPI;

alias PRUint64 DOMTimeStamp;

const char[] NS_IDOMSTORAGEITEM_IID_STR = "0cc37c78-4c5f-48e1-adfc-7480b8fe9dc4";

const nsIID NS_IDOMSTORAGEITEM_IID= 
  {0x0cc37c78, 0x4c5f, 0x48e1, 
    [ 0xad, 0xfc, 0x74, 0x80, 0xb8, 0xfe, 0x9d, 0xc4 ]};

//extern(System)

interface nsIDOMStorageItem : nsISupports {

  static const char[] IID_STR = NS_IDOMSTORAGEITEM_IID_STR;
  static const nsIID IID = NS_IDOMSTORAGEITEM_IID;

  nsresult GetSecure(PRBool *aSecure);
  nsresult SetSecure(PRBool aSecure);
  nsresult GetValue(nsAString * aValue);
  nsresult SetValue(nsAString * aValue);

}

